Subject: Re: [PATCH] NET: Multiqueue network device support.

From: jamal <[email-masked]>
Date: Thu, 07 Jun 2007 08:22:42 -0400

On Wed, 2007-06-06 at 21:08 -0400, jamal wrote:

> It's too depressing - so i came back here for a break ;->

I am sure you would agree it was too depressing ;->

> As a side note: You will have to do a lot of surgery to the current code
> to make tx run on multi CPUs. It needs some experimenting to get right.
> And i am begining to like Herberts changes ;->

On clear morning thinking:
There is a scenario where multi CPUs will benefit and that is if a
single CPU cant pump fast enough to fill the wire. I think this may have
been your initial comment but we digressed into the locks. I still think
the bottleneck on the tx that needs to improve is IO (DMA, PCI/X/E etc).

And as you know though that requires some major surgery (given the
multiple producer single consumer approach we have today) and certainly
Peters patches dont add value in that direction.

cheers,
jamal